# Uses of Interface
org.eclipse.emf.cdo.server.db.mapping.IClassMapping

Packages that use IClassMapping
Package
Description
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IClassMapping in org.eclipse.emf.cdo.server.db.mapping

Subinterfaces of IClassMapping in org.eclipse.emf.cdo.server.db.mapping
Modifier and Type
Interface
Description
`interface`
`IClassMappingUnitSupport`
An extension interface for `class mappings` that support units.
Methods in org.eclipse.emf.cdo.server.db.mapping that return IClassMapping
Modifier and Type
Method
Description
`IClassMapping`
IMappingStrategy.`getClassMapping(EClass eClass)`
Look up an existing class mapping for the given class.
Methods in org.eclipse.emf.cdo.server.db.mapping that return types with arguments of type IClassMapping
Modifier and Type
Method
Description
`Map<EClass,IClassMapping>`
IMappingStrategy.`getClassMappings()`
Returns all class mappings of this strategy.
`Map<EClass,IClassMapping>`
IMappingStrategy.`getClassMappings(boolean createOnDemand)`
Returns all class mappings of this strategy.
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IClassMapping
Modifier and Type
Method
Description
`void`
IListMapping3.`setClassMapping(IClassMapping classMapping)`